Package kiyut.sketsa.registration

## Class RegistrationOptions

- java.lang.Object
- - kiyut.sketsa.options.AbstractOptions
  - - kiyut.sketsa.registration.RegistrationOptions

- All Implemented Interfaces:
    `Options`

      public final class RegistrationOptions
      extends AbstractOptions

  Author:
    KIYUT

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `UNREGISTERED_NAME` |

    - ### Fields inherited from class kiyut.sketsa.options.AbstractOptions

      `DEFAULT_NODE_NAME, nodeName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `RegistrationOptions()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBuildNumber()` |
    `static RegistrationOptions` | `getInstance()` | Returns the single instance.
    `String` | `getRegistrationName()` |
    `String` | `getSerialNumber()` |

    - ### Methods inherited from class kiyut.sketsa.options.AbstractOptions

      `addPropertyChangeListener, firePropertyChange, getPreferences, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNREGISTERED_NAME

          public static final String UNREGISTERED_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegistrationOptions

          protected RegistrationOptions()

  - ### Method Detail

    - #### getInstance

          public static RegistrationOptions getInstance()

      Returns the single instance.
      Returns:
        The single instance.

    - #### getRegistrationName

          public String getRegistrationName()

    - #### getSerialNumber

          public String getSerialNumber()

    - #### getBuildNumber

          public String getBuildNumber()